
package iot.lidee.iot.mapper.bygz;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import iot.lidee.framework.mybatis.mapper.BaseMapperX;
import iot.lidee.iot.domain.Device;
import iot.lidee.iot.domain.DeviceLog;
import iot.lidee.iot.model.bygz.DevGzbxWxgdDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * demo相关
 */
@Mapper
public interface DevGzbxWxgdMapper extends BaseMapperX<DevGzbxWxgdDO> {

    default List<DevGzbxWxgdDO> selectGzbxWxgdList(){
        return this.selectList(new QueryWrapper<>());
    }

    List<DevGzbxWxgdDO> selectWxgdByType(String devtype);

    List<Device> deviceList(String devtype);

    List<DeviceLog> deviceLogList(String serialNumber);
}
